
package com.sap.dbtechdev.wrapper;

import java.lang.reflect.*;
import java.io.PrintWriter;


/**
 *
 */
class FullJDBCWrapper
extends JDBCWrapper
{
    /**
     * FullJDBCWrapper constructor
     */
    FullJDBCWrapper (
        WrapperOptions optionsP)
    {
        super (optionsP, JDBCWrapper.SQLInterfacesC);
    }
    /**
     *
     */
    protected void genParameterEntry(
        Method method,
        PrintWriter outstream)
    {
        this.genParameterPrint (method, "this.printer", outstream);
    }
    /**
     *
     */
    protected void genExceptionHandling (
        Method method,
        String exceptionVar,
        PrintWriter outstream)
    {
        this.genExceptionPrint (method, "this.printer", exceptionVar, outstream);
    }
    /**
     *
     */
    protected void genReturn (
        Method method,
        String resultVar,
        PrintWriter outstream)
    {
        this.genResultvarPrint (method, "this.printer", resultVar, outstream);
    }
    /**
     *
     */
    static WrapperOptions getOptions (
        String [] args)
    {
        WrapperOptions options = new WrapperOptions ();
        options.setTargetPackage ("com.sap.dbtechdev.jdbctrace");
        options.setHelperVars (new HelperVar[] {new HelperVar ("printer", "java.io.PrintStream")});
        return options;
    }
    /**
     * main: called from the command line
     */
    static public void main (String [] args)
    throws ClassNotFoundException, java.io.IOException
    {
        WrapperOptions options = getOptions (args);
        JDBCWrapper wrapper = new FullJDBCWrapper (options);
        wrapper.genWrapper ();
    }
}

