
package com.sap.dbtechdev.wrapper;

import java.lang.reflect.*;
import java.io.PrintWriter;

/**
 *
 */
public class SapdbcWrapper
extends JDBCWrapper
{
    /**
     * creates a new SapdbcWrapper
     */
    public
    SapdbcWrapper (
        WrapperOptions optionsP)
    {
        super (optionsP, JDBCWrapper.SQLInterfacesC);
    }

    /**
     *
     */
    protected void genImports(
        PrintWriter outstream)
    {
        outstream.println ("\nimport com.sap.dbtech.util.Tracer;\n");
    }
    /**
     *
     */
    protected void genParameterEntry(
        Method method,
        PrintWriter outstream)
    {
        this.genParameterPrint (method, "Tracer", outstream);
    }
    /**
     *
     */
    protected void genExceptionHandling (
        Method method,
        String exceptionVar,
        PrintWriter outstream)
    {
        outstream.println ("            Tracer.println (\" <-!\");");
        outstream.println ("            Tracer.traceException (" + exceptionVar + ");");
    }
    /**
     *
     */
    protected void genReturn (
        Method method,
        String resultVar,
        PrintWriter outstream)
    {
        this.genResultvarPrint (method, "Tracer", resultVar, outstream);
    }
    /**
     *
     */
    static WrapperOptions getOptions (
        String [] args)
    {
        WrapperOptions options = new WrapperOptions ();
        options.setTargetPackage ("com.sap.dbtech.jdbc.trace");
        return options;
    }
    /**
     * main: called from the command line
     */
    static public void main (String [] args)
    throws ClassNotFoundException, java.io.IOException
    {
        WrapperOptions options = getOptions (args);
        JDBCWrapper wrapper = new SapdbcWrapper (options);
        wrapper.genWrapper ();
    }
}
